ClientSettings

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.client
Class ClientSettings

    java.lang.Object
      org.openswing.swing.util.client.ClientSettings

public class ClientSettings
extends java.lang.Object

Title: OpenSwing Framework

Description: Client settings, used to initialize MDI Frame.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static javax.swing.KeyStroke` | `ADD_ROW_IN_GRID` shortcut key used to add new row in grid, in insert mode (or edit mode)
`static boolean` | `ALLOW_OR_OPERATOR` define if OR logical connector is allowable for operators different from IS NULL, IN NOT NULL and IN, within the filter panel; default value: `true`
`static javax.swing.KeyStroke` | `AS_TAB` shortcut key used to fire a TAB key event, in order to move focus to next component; default value: null; it can be used, for instance, to define that the ENTER key move focus to next component
`static boolean` | `ASK_BEFORE_CLOSE` define if a warning dialog must be showed when closing an internal frame that contains a Form/GridControl in edit/insert mode
`static java.lang.String` | `AUTO_EXPAND_SUBTREE_MENU` define if a subtree of the tree menu must by automatically expanded; subtree root is identified as the node having a description whose entry (not yet translated) is defined thourgh this global property
`static boolean` | `AUTO_EXPAND_TREE_MENU` define if tree menu must by automatically expanded; default value: `false`
`static boolean` | `AUTO_FIT_COLUMNS` flag used to auto fit column sizes, according to text headers; default value: `false`
`static int` | `BACK_IMAGE_DISPOSITION` set how background image in MDI must be drawed: centered, repeated, streched; allowed values: Consts.BACK_IMAGE_xxx; defalut value: Consts.BACK_IMAGE_REPEATED
`static java.lang.String` | `BACKGROUND` image name for MDI background; may be null
`static BackgroundPainter` | `BACKGROUND_PAINTER` optional property used within the DekstopPane of the MDI frame to draw background content; default value: null
`static java.awt.Color` | `BACKGROUND_SEL_COLOR` color to set as background in the focused input control (only if VIEW_BACKGROUND_SEL_COLOR is set to `true`)
`static int` | `BUTTON_BEHAVIOR` define whether showing image/text on default buttons (insert, edit, ...); allowed values: Consts.BUTTON_IMAGE_ONLY, Consts.BUTTON_TEXT_ONLY, Consts.BUTTON_IMAGE_AND_TEXT; default value: Consts.BUTTON_IMAGE_ONLY
`static java.lang.String` | `BUTTON_COPY_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_DELETE_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_EDIT_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_EXPORT_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_FILTER_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_IMPORT_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_INSERT_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_RELOAD_IMAGE_NAME` image name for insert button
`static java.lang.String` | `BUTTON_SAVE_IMAGE_NAME` image name for insert button
`static java.lang.String` | `CALENDAR` image name for calendar button in date input control
`static javax.swing.KeyStroke` | `CALENDAR_CURRENT_DATE_KEY` shortcut key used to set current date in date control and date column; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F1,0)
`static javax.swing.KeyStroke` | `CALENDAR_OPEN_KEY` shortcut key used to open the calendar popup in date control and date column; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F2,0)
`static int` | `CELL_HEIGHT` height of grid rows
`static java.lang.String` | `CLOSE_BUTTON_ON_FILTER_PANEL` image name for close button in filter panel
`static javax.swing.KeyStroke` | `COLLAPSE_CELL_KEY` shortcut key used to collable an already expanded row in grid; default value: KeyStroke.getKeyStroke(KeyEvent.VK_L,KeyEvent.CTRL_MASK)
`static javax.swing.KeyStroke` | `COPY_BUTTON_KEY` shortcut key used for copy button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_C,KeyEvent.CTRL_MASK)
`static boolean` | `CURRENCY_SYMBOL_ON_LEFT` flag used to define the default position of currency symbol in currency control/column: on the left or on the right of the numeric value; default value: `true` i.e. on the left of the numeric value
`static int` | `DEFAULT_QUICK_FILTER_CRITERIA` default value that could be set in the quick filter criteria; values allowed: Consts.EQUALS,Consts.CONTAINS,Consts.STARTS_WITH,Consts.ENDS_WITH
`static javax.swing.KeyStroke` | `DELETE_BUTTON_KEY` shortcut key used for delete button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_D,KeyEvent.CTRL_MASK)
`static boolean` | `DISABLED_INPUT_CONTROLS_FOCUSABLE` `true` to enable focus on disabled input controls: this allows to select disabled content of input control for copy & paste; `false` to do not allow focus setting on disabled input controls; default value: `false`
`static int` | `DIVIDER_WIDTH` divider width of MDI Frame splitter
`static javax.swing.KeyStroke` | `EDIT_BUTTON_KEY` shortcut key used for edit button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_E,KeyEvent.CTRL_MASK)
`static java.lang.String` | `EJB_EXPORT_BEAN_NAME` ejb remote session bean to invoke for processing all export tasks; default name: "EJBExportBean/remote"
`static javax.swing.KeyStroke` | `EXPAND_CELL_KEY` shortcut key used to expand a row in grid; default value: KeyStroke.getKeyStroke(KeyEvent.VK_P,KeyEvent.CTRL_MASK)
`static javax.swing.KeyStroke` | `EXPORT_BUTTON_KEY` shortcut key used for export button within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_X,KeyEvent.CTRL_MASK)
`static ExportToPDFAdapter` | `EXPORT_TO_PDF_ADAPTER` adapter used when exporting grid data in PDF format: it provides some overridable methods
`static ExportToRTFAdapter` | `EXPORT_TO_RTF_ADAPTER` adapter used when exporting grid data in RTF format: it provides some overridable methods
`static java.lang.String[]` | `EXPORTING_FORMATS` default document formats when exporting the grid content
`static boolean` | `FILL_FIND_FUNCTION_FIELD` fill search input field of the tree menu til the right margin of the panel
`static javax.swing.KeyStroke` | `FILTER_BUTTON_KEY` shortcut key used for filter button, within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F,KeyEvent.CTRL_MASK)
`static java.lang.String` | `FILTER_PANEL_LOCK_OFF` image name for closed padlock icon in filter panel
`static java.lang.String` | `FILTER_PANEL_LOCK_ON` image name for opened padlock icon in filter panel
`static boolean` | `FILTER_PANEL_ON_GRID` `true` to automatically show a filter panel when moving mouse at right of the grid; `false` to do not show it
`static int` | `FILTER_PANEL_ON_GRID_POLICY` used as default value in "filterPanelOnGridPolicy" property of GridControl: it used only when "showFilterPanelOnGrid" property is set to `true`; define filter panel policy for hiding it; allowed values: Consts.FILTER_PANEL_ON_GRID_xxx; default value: Consts.FILTER_PANEL_ON_GRID_USE_PADLOCK_UNPRESSED
`static java.lang.String` | `FILTER_SYMBOL` image name of filter symbol in column header
`static java.lang.String` | `FIND_FUNCTION_ICON` image name for "find function" icon in tree menu (optional); default value: null, i.e. do not show any icon
`static boolean` | `FORCE_FOCUS_ON_LOOKUP_CONTROL` define if a lookup control must set focus over lookup button when pressing TAB on code field and field is correctly filled; default value: `false`
`static java.awt.Color` | `FORM_FOCUS_BORDER` border color of the form currently has the focus
`static java.awt.Color` | `GRID_ACTIVE_CELL_BACKGROUND` foreground color of grid active cell
`static java.awt.Color` | `GRID_CELL_BACKGROUND` background color of grid cell
`static java.awt.Color` | `GRID_CELL_FOREGROUND` foreground color of grid cell
`static java.awt.Color` | `GRID_EDITABLE_CELL_BACKGROUND` border color of an editable grid cell
`static java.awt.Color` | `GRID_FOCUS_BORDER` border color of the grid that currently has the focus
`static java.awt.Color` | `GRID_NO_FOCUS_BORDER` border color of the grid that currently doesn't has the focus
`static java.awt.Color` | `GRID_NOT_EDITABLE_CELL_BACKGROUND` border color of a not editable grid cell
`static GridPermissionsManager` | `GRID_PERMISSION_MANAGER` grid permission manager: it manages grid permission storing and fetching
`static javax.swing.KeyStroke` | `GRID_POPUP_KEY` shortcut key used to show popup menu within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_Q,KeyEvent.CTRL_MASK)
`static org.openswing.swing.table.profiles.java.GridProfileManager` | `GRID_PROFILE_MANAGER` grid profile manager: it manages grid profile storing and fetching
`static java.awt.Color` | `GRID_REQUIRED_CELL_BORDER` border color of a grid cell that is mandatory
`static int` | `GRID_SCROLL_BLOCK_INCREMENT` increment to use for grid scrolling; default value: Consts.GRID_SCROLL_BLOCK_INCREMENT_PAGE; possible values: Consts.GRID_SCROLL_BLOCK_INCREMENT_ROW,Consts.GRID_SCROLL_BLOCK_INCREMENT_PAGE
`static java.awt.Color` | `GRID_SELECTION_BACKGROUND` background color of grid selected row
`static java.awt.Color` | `GRID_SELECTION_FOREGROUND` foreground color of grid selected row; this value will be ignored if `IGNORE_GRID_SELECTION_FOREGROUND` flag is set to true
`static java.awt.Font` | `HEADER_FONT` default font to use in column headers of grid; default value: null (i.e. use default JLabel font)
`static java.awt.Color` | `HEADER_FOREGROUND_COLOR` foreground color for header columns of all grids; default value: null, i.e. default JLabel foreground color
`static int` | `HEADER_HEIGHT` height of grid headers
`static int` | `HEADER_TEXT_VERTICAL_ALIGNMENT` header text vertical alignment; possible values: SwingConstants.CENTER, SwingConstants.TOP, SwingConstants.BOTTOM; default value: SwingConstants.CENTER
`static boolean` | `HIDE_ZERO_DIGITS` define the behavior of numeric components in case of zero decimal digits: show or hide zeros; default value: `false`, i.e. shows zero digits
`static java.lang.String` | `ICON_FILENAME` image name for the MDI Frame
`static boolean` | `IGNORE_GRID_SELECTION_FOREGROUND` if set to true, the GRID_SELECTUON_FOREGROUND setting will be ignored and the already cell's defined foreground color will be used instead
`static javax.swing.KeyStroke` | `IMPORT_BUTTON_KEY` shortcut key used for import button within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_M,KeyEvent.CTRL_MASK)
`static boolean` | `INCLUDE_IN_OPERATOR` define if IN operator must be included in quick filter and filter panel; default value: `true`
`static javax.swing.KeyStroke` | `INSERT_BUTTON_KEY` shortcut key used for insert button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_I,KeyEvent.CTRL_MASK)
`static boolean` | `INSERT_ROWS_ON_TOP` define where new rows must be added: `true` at the top of the grid or `false` at the bottom; default value: `true`
`static java.awt.Dimension` | `INTERCELL_SPACING` default intercell spacing between cells in grid; default value: 1,1
`static java.lang.String` | `LIKE` SQL operator to use for "like"; for instance in PosgreSQL database this can be replaced with case insensitive "ilke"; default value: "like"
`static java.lang.String` | `LIST_FILTER_BUTTON` image name of filter button in column header
`static java.lang.String` | `LOCK_OFF` image name for closed padlock icon in tree menu
`static java.lang.String` | `LOCK_ON` image name for opened padlock icon in tree menu
`static java.lang.String` | `LOOK_AND_FEEL_CLASS_NAME` look 'n feel to use for the MDI frame; default value: UIManager.getSystemLookAndFeelClassName()
`static long` | `LOOKUP_AUTO_COMPLETITION_WAIT_TIME` wait time (expressed in ms) before showing code auto completition feature for lookup controls; default value: `-1`, i.e. do not enable auto completition
`static javax.swing.KeyStroke` | `LOOKUP_CONTROLLER_KEY` shortcut key used to open lookup controller frame in lookup control and lookup column; default value: KeyEvent.VK_F2
`static int` | `LOOKUP_FRAME_CONTENT` define default content for lookup frame; allowed values are: GRID_FRAME, TREE_FRAME, TREE_GRID_FRAME, GRID_AND_FILTER_FRAME, TREE_GRID_AND_FILTER_FRAME, GRID_AND_PANEL_FRAME, TREE_GRID_AND_PANEL_FRAME; default value: LookupController.GRID_FRAME
`static javax.swing.KeyStroke` | `LOOKUP_OPEN_KEY` shortcut key used to open lookup grid in lookup control and lookup column; default value: KeyEvent.VK_F1
`static int` | `MAX_EXPORTABLE_ROWS` masimum number of exportable rows
`static int` | `MAX_MENU_WIDTH` maximum width of MDI Frame menu window
`static int` | `MAX_NR_OF_LOOPS_IN_ANALYZE_VO` flag used to define the maximum number of nested loops to execute on the same value objects, when analyzing v.o. structure; default value: `10`
`static boolean` | `MDI_FRAME_DECORATED` flag used to show define if look 'n feel in MDI frame must be decorated; default value: `true`
`static ToolBar` | `MDI_TOOLBAR` add a toolbar to MDIFrame; default value: null, i.e. do not add any toolbar; possible value: org.openswing.swing.mdi.client.DefaultToolBar
`static int` | `MENU_WIDTH` width of MDI Frame menu window
`static int` | `MIN_MENU_WIDTH` minimum width of MDI Frame menu window
`static int` | `ON_INVALID_CODE` define what a lookup has to do when an invalid code has been setted; possible values: LookupController.ON_INVALID_CODE_xxx; default value: LookupController.ON_INVALID_CODE_CLEAR_CODE
`static java.lang.String` | `PERC_TREE_FOLDER` image name for tree menu icons
`static java.lang.String` | `PERC_TREE_NODE` image name for tree menu icons
`static java.awt.Color` | `PROGRESS_BAR_COLOR` progress bar color (inside the status panel of the MDI frame)
`static int` | `PROGRESS_BAR_DELAY` progress bar delay (in milliseconds)
`static javax.swing.KeyStroke` | `RELOAD_BUTTON_KEY` shortcut key used for reload button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_Z,KeyEvent.CTRL_MASK)
`static boolean` | `RELOAD_LAST_VO_ON_FORM` `true` to reload last object show already loaded in the past, when pressing reload button in INSERT mode; `false` to clear all input controls when pressing reload button in INSERT mode; default value: `false`
`static javax.swing.KeyStroke` | `REMOVE_FILTER_KEY` shortcut key used to remove a filter in quick filter panel; default value: KeyStroke.getKeyStroke(KeyEvent.VK_R,KeyEvent.CTRL_MASK)
`static javax.swing.KeyStroke` | `REMOVE_ROW_FROM_GRID` shortcut key used to remove an already added row in grid, in insert mode (or edit mode)
`static int` | `ROW_MARGIN` default margin between two rows in grid; default value: 1
`static javax.swing.KeyStroke` | `SAVE_BUTTON_KEY` shortcut key used for save button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_S,KeyEvent.CTRL_MASK)
`static boolean` | `SEARCH_ADDITIONAL_ROWS` flag used in grid to enable the retrieval of additional rows in fast search, when search criteria fails; default value: `false` i.e. do not retrieve additional rows
`static boolean` | `SELECT_DATA_IN_EDITABLE_FORM` flag used in grid to automatically select data in input controls when the controls gains focus; default value: `false` i.e. do not select data stored in input control; `true` to automatically select data already stored in input controls
`static boolean` | `SELECT_DATA_IN_EDITABLE_GRID` flag used in grid to automatically select data in cell when editing cell; default value: `false` i.e. do not select data stored cell; `true` to automatically select data already stored in cell
`static boolean` | `SHOW_CUSTOM_ERROR_MESSAGE_IN_LOOKUP` define if, in case of a validation task which returns an ErrorResponse within a lookup, the error message must be showed instead of the standard behavior: do nothing and log error; default value: `false`, i.e. do not show a custom error message
`static boolean` | `SHOW_FILTER_SYMBOL` define whether showing filtering symbol in column header which is currently filtered
`static boolean` | `SHOW_FILTERING_CONDITIONS_IN_EXPORT` flag used to add a filter panel on top of the exported grid, in order to show filtering conditions; this pane is visibile only whether there is at least one filtering condition applied; default value: `false`
`static boolean` | `SHOW_FIND_FUNCTION_LABEL` show "find function" label at the left of the search input field of the tree menu
`static boolean` | `SHOW_FOCUS_BORDER_ON_FORM` `true` to show a border around a Form panel when it has focus; `false` to do not show it; default value: `true`
`static boolean` | `SHOW_FRAME_TITLE_IN_EXPORT` flag used to show the title of the frame that contains the grid component currently exported; title is showed on top of the exported grid, in order to show filtering conditions; default value: `false`
`static boolean` | `SHOW_FUNCTIONS_LABEL` show "functions" label at the bottom of the search input field of the tree menu
`static boolean` | `SHOW_NAVIGATOR_BAR_IN_LOOKUP` define if the navigator bar must be showed on top of the lookup grid frame; default value: `false` i.e. the navigator is not showed in the grid lookup frame
`static boolean` | `SHOW_PADLOCK_IN_TREE_MENU` flag used to show/hide a padlock in the tree menu panel; default value: `true`
`static boolean` | `SHOW_PAGE_NUMBER_IN_GRID` flag used to show current page number in grid; default value: `true`
`static boolean` | `SHOW_PAGINATION_BUTTONS_ON_GRID` `true` to show pagination buttons in vertical scrollbar of grid; `false` to do not show them; default value: `true`
`static boolean` | `SHOW_PAGINATION_BUTTONS_ON_NAVBAR` `true` to show pagination buttons in navigator bar; `false` to do not show them; default value: `true`
`static boolean` | `SHOW_PREVIEW_OF_IMAGE` flag used to show the preview of the image in ImageControl and Image Column components; default value: `true`
`static boolean` | `SHOW_SCROLLBARS_IN_MDI` show scrollbars within MDI desktop pane; default value: `false`
`static boolean` | `SHOW_SORTING_ORDER` `true` to show sorting order (number) in the column header of the grid; `false` to do not show it; default value: `false`
`static boolean` | `SHOW_TOOLTIP_IN_MDISTATUSBAR` define if the tooltip text associated to application functions must be showed in the status bar of MDI frame (on the bottom); default value: `true`
`static boolean` | `SHOW_TOOLTIP_IN_MENUBAR` define if a tooltip text must be showed for menu and menu items in menu bar; default value: `true`
`static boolean` | `SHOW_TOOLTIP_IN_TREEMENU` define if a tooltip text must be showed for folders and function nodes in tree menu; default value: `true`
`static boolean` | `SHOW_TREE_MENU_ROOT` show root node in the tree menu of MDI Frame
`static boolean` | `SHOW_WINDOW_MENU` show "Window" menu items in the menubar of MDI Frame
`static java.lang.String` | `SORT_DOWN` image name of descending order versus icon
`static java.lang.String` | `SORT_UP` image name of ascending order versus icon
`static java.awt.ComponentOrientation` | `TEXT_ORIENTATION` component orientation of all text based input controls and grid columns; default value: `null`, i.e. use the default component orientation defined by Swing toolkit
`static java.lang.String` | `TREE_BACK` image name for tree menu background
`static javax.swing.KeyStroke` | `TREE_MENU_KEY` shortcut key used to set focus in tree menu; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F3,0)
`static java.awt.Color` | `TREE_SELECTION_BACKGROUND` background color of tree selected row
`static java.awt.Color` | `TREE_SELECTION_FOREGROUND` foreground color of tree selected row
`static boolean` | `USE_AS_TAB_IN_TEXTAREA` define if shortcut key used to fire a TAB key event must be used for TextAreaControl too; default value: `true`
`static boolean` | `VIEW_BACKGROUND_SEL_COLOR` define if must be set a background color on focusing an input control
`static boolean` | `VIEW_MANDATORY_SYMBOL` define if must be show the mandatory symbol "*" in mandatory input controls
`static boolean` | `VISIBLE_STATUS_PANEL` define if showing the status panel on bottom of the lookup grid; default value: `false`

Constructor Summary
`ClientSettings(ResourcesFactory resourceFactory, java.util.Hashtable domains)` Contains application settings.
`ClientSettings(ResourcesFactory resourceFactory, java.util.Hashtable domains, ButtonsAuthorizations buttonsAuthorizations)` Contains application settings.
`ClientSettings(ResourcesFactory resourceFactory, java.util.Hashtable domains, ButtonsAuthorizations buttonsAuthorizations, boolean useSystemFontSettings)` Contains application settings.

Method Summary
`ButtonsAuthorizations` | `getButtonsAuthorizations()`
`Domain` | `getDomain(java.lang.String domainId)`
`java.util.HashMap` | `getGridPermissions()`
`java.util.HashMap` | `getGridProfileDescriptions()`
`java.util.ArrayList` | `getGridProfileDescriptions(java.lang.String functionId)`
`static ClientSettings` | `getInstance()`
`java.util.HashMap` | `getLastGridPermissionsDigests()`
`java.util.HashMap` | `getLastUserGridDigests()`
`java.util.HashMap` | `getLastUserGridProfileIds()`
`Resources` | `getResources()`
`java.util.HashMap` | `getUserGridProfiles()`
`java.util.HashMap` | `getUserGridProfiles(java.lang.String functionId)`
`void` | `setLanguage(java.lang.String languageId)` Load internalization settings according with the specified languageId.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUTTON_INSERT_IMAGE_NAME

    public static java.lang.String BUTTON_INSERT_IMAGE_NAME

  image name for insert button

### BUTTON_EDIT_IMAGE_NAME

    public static java.lang.String BUTTON_EDIT_IMAGE_NAME

  image name for insert button

### BUTTON_COPY_IMAGE_NAME

    public static java.lang.String BUTTON_COPY_IMAGE_NAME

  image name for insert button

### BUTTON_SAVE_IMAGE_NAME

    public static java.lang.String BUTTON_SAVE_IMAGE_NAME

  image name for insert button

### BUTTON_RELOAD_IMAGE_NAME

    public static java.lang.String BUTTON_RELOAD_IMAGE_NAME

  image name for insert button

### BUTTON_IMPORT_IMAGE_NAME

    public static java.lang.String BUTTON_IMPORT_IMAGE_NAME

  image name for insert button

### BUTTON_EXPORT_IMAGE_NAME

    public static java.lang.String BUTTON_EXPORT_IMAGE_NAME

  image name for insert button

### BUTTON_FILTER_IMAGE_NAME

    public static java.lang.String BUTTON_FILTER_IMAGE_NAME

  image name for insert button

### BUTTON_DELETE_IMAGE_NAME

    public static java.lang.String BUTTON_DELETE_IMAGE_NAME

  image name for insert button

### ICON_FILENAME

    public static java.lang.String ICON_FILENAME

  image name for the MDI Frame

### TREE_BACK

    public static java.lang.String TREE_BACK

  image name for tree menu background

### LOCK_ON

    public static java.lang.String LOCK_ON

  image name for opened padlock icon in tree menu

### LOCK_OFF

    public static java.lang.String LOCK_OFF

  image name for closed padlock icon in tree menu

### SHOW_WINDOW_MENU

    public static boolean SHOW_WINDOW_MENU

  show "Window" menu items in the menubar of MDI Frame

### SHOW_TREE_MENU_ROOT

    public static boolean SHOW_TREE_MENU_ROOT

  show root node in the tree menu of MDI Frame

### FIND_FUNCTION_ICON

    public static java.lang.String FIND_FUNCTION_ICON

  image name for "find function" icon in tree menu (optional); default value: null, i.e. do not show any icon

### SHOW_FIND_FUNCTION_LABEL

    public static boolean SHOW_FIND_FUNCTION_LABEL

  show "find function" label at the left of the search input field of the tree menu

### FILL_FIND_FUNCTION_FIELD

    public static boolean FILL_FIND_FUNCTION_FIELD

  fill search input field of the tree menu til the right margin of the panel

### SHOW_FUNCTIONS_LABEL

    public static boolean SHOW_FUNCTIONS_LABEL

  show "functions" label at the bottom of the search input field of the tree menu

### SHOW_PADLOCK_IN_TREE_MENU

    public static boolean SHOW_PADLOCK_IN_TREE_MENU

  flag used to show/hide a padlock in the tree menu panel; default value: `true`

### AUTO_EXPAND_TREE_MENU

    public static boolean AUTO_EXPAND_TREE_MENU

  define if tree menu must by automatically expanded; default value: `false`

### AUTO_EXPAND_SUBTREE_MENU

    public static java.lang.String AUTO_EXPAND_SUBTREE_MENU

  define if a subtree of the tree menu must by automatically expanded; subtree root is identified as the node having a description whose entry (not yet translated) is defined thourgh this global property

### FILTER_PANEL_LOCK_ON

    public static java.lang.String FILTER_PANEL_LOCK_ON

  image name for opened padlock icon in filter panel

### FILTER_PANEL_LOCK_OFF

    public static java.lang.String FILTER_PANEL_LOCK_OFF

  image name for closed padlock icon in filter panel

### CLOSE_BUTTON_ON_FILTER_PANEL

    public static java.lang.String CLOSE_BUTTON_ON_FILTER_PANEL

  image name for close button in filter panel

### PERC_TREE_NODE

    public static java.lang.String PERC_TREE_NODE

  image name for tree menu icons

### PERC_TREE_FOLDER

    public static java.lang.String PERC_TREE_FOLDER

  image name for tree menu icons

### BACKGROUND

    public static java.lang.String BACKGROUND

  image name for MDI background; may be null

### BACK_IMAGE_DISPOSITION

    public static int BACK_IMAGE_DISPOSITION

  set how background image in MDI must be drawed: centered, repeated, streched; allowed values: Consts.BACK_IMAGE_xxx; defalut value: Consts.BACK_IMAGE_REPEATED

### BACKGROUND_PAINTER

    public static BackgroundPainter BACKGROUND_PAINTER

  optional property used within the DekstopPane of the MDI frame to draw background content; default value: null

### MDI_FRAME_DECORATED

    public static boolean MDI_FRAME_DECORATED

  flag used to show define if look 'n feel in MDI frame must be decorated; default value: `true`

### CALENDAR

    public static java.lang.String CALENDAR

  image name for calendar button in date input control

### DIVIDER_WIDTH

    public static int DIVIDER_WIDTH

  divider width of MDI Frame splitter

### MENU_WIDTH

    public static int MENU_WIDTH

  width of MDI Frame menu window

### MIN_MENU_WIDTH

    public static int MIN_MENU_WIDTH

  minimum width of MDI Frame menu window

### MAX_MENU_WIDTH

    public static int MAX_MENU_WIDTH

  maximum width of MDI Frame menu window

### GRID_ACTIVE_CELL_BACKGROUND

    public static java.awt.Color GRID_ACTIVE_CELL_BACKGROUND

  foreground color of grid active cell

### GRID_SELECTION_BACKGROUND

    public static java.awt.Color GRID_SELECTION_BACKGROUND

  background color of grid selected row

### GRID_SELECTION_FOREGROUND

    public static java.awt.Color GRID_SELECTION_FOREGROUND

  foreground color of grid selected row; this value will be ignored if `IGNORE_GRID_SELECTION_FOREGROUND` flag is set to true

### IGNORE_GRID_SELECTION_FOREGROUND

    public static boolean IGNORE_GRID_SELECTION_FOREGROUND

  if set to true, the GRID_SELECTUON_FOREGROUND setting will be ignored and the already cell's defined foreground color will be used instead

### GRID_CELL_BACKGROUND

    public static java.awt.Color GRID_CELL_BACKGROUND

  background color of grid cell

### GRID_CELL_FOREGROUND

    public static java.awt.Color GRID_CELL_FOREGROUND

  foreground color of grid cell

### GRID_REQUIRED_CELL_BORDER

    public static java.awt.Color GRID_REQUIRED_CELL_BORDER

  border color of a grid cell that is mandatory

### GRID_EDITABLE_CELL_BACKGROUND

    public static java.awt.Color GRID_EDITABLE_CELL_BACKGROUND

  border color of an editable grid cell

### GRID_NOT_EDITABLE_CELL_BACKGROUND

    public static java.awt.Color GRID_NOT_EDITABLE_CELL_BACKGROUND

  border color of a not editable grid cell

### GRID_FOCUS_BORDER

    public static java.awt.Color GRID_FOCUS_BORDER

  border color of the grid that currently has the focus

### GRID_NO_FOCUS_BORDER

    public static java.awt.Color GRID_NO_FOCUS_BORDER

  border color of the grid that currently doesn't has the focus

### SHOW_PAGE_NUMBER_IN_GRID

    public static boolean SHOW_PAGE_NUMBER_IN_GRID

  flag used to show current page number in grid; default value: `true`

### GRID_SCROLL_BLOCK_INCREMENT

    public static int GRID_SCROLL_BLOCK_INCREMENT

  increment to use for grid scrolling; default value: Consts.GRID_SCROLL_BLOCK_INCREMENT_PAGE; possible values: Consts.GRID_SCROLL_BLOCK_INCREMENT_ROW,Consts.GRID_SCROLL_BLOCK_INCREMENT_PAGE

### INSERT_ROWS_ON_TOP

    public static boolean INSERT_ROWS_ON_TOP

  define where new rows must be added: `true` at the top of the grid or `false` at the bottom; default value: `true`

### FORM_FOCUS_BORDER

    public static java.awt.Color FORM_FOCUS_BORDER

  border color of the form currently has the focus

### SORT_UP

    public static java.lang.String SORT_UP

  image name of ascending order versus icon

### SORT_DOWN

    public static java.lang.String SORT_DOWN

  image name of descending order versus icon

### LIST_FILTER_BUTTON

    public static java.lang.String LIST_FILTER_BUTTON

  image name of filter button in column header

### FILTER_SYMBOL

    public static java.lang.String FILTER_SYMBOL

  image name of filter symbol in column header

### SHOW_FILTER_SYMBOL

    public static boolean SHOW_FILTER_SYMBOL

  define whether showing filtering symbol in column header which is currently filtered

### CELL_HEIGHT

    public static int CELL_HEIGHT

  height of grid rows

### HEADER_HEIGHT

    public static int HEADER_HEIGHT

  height of grid headers

### HEADER_TEXT_VERTICAL_ALIGNMENT

    public static int HEADER_TEXT_VERTICAL_ALIGNMENT

  header text vertical alignment; possible values: SwingConstants.CENTER, SwingConstants.TOP, SwingConstants.BOTTOM; default value: SwingConstants.CENTER

### PROGRESS_BAR_COLOR

    public static java.awt.Color PROGRESS_BAR_COLOR

  progress bar color (inside the status panel of the MDI frame)

### PROGRESS_BAR_DELAY

    public static int PROGRESS_BAR_DELAY

  progress bar delay (in milliseconds)

### MAX_EXPORTABLE_ROWS

    public static int MAX_EXPORTABLE_ROWS

  masimum number of exportable rows

### EXPORT_TO_PDF_ADAPTER

    public static ExportToPDFAdapter EXPORT_TO_PDF_ADAPTER

  adapter used when exporting grid data in PDF format: it provides some overridable methods

### EXPORT_TO_RTF_ADAPTER

    public static ExportToRTFAdapter EXPORT_TO_RTF_ADAPTER

  adapter used when exporting grid data in RTF format: it provides some overridable methods

### SHOW_FILTERING_CONDITIONS_IN_EXPORT

    public static boolean SHOW_FILTERING_CONDITIONS_IN_EXPORT

  flag used to add a filter panel on top of the exported grid, in order to show filtering conditions; this pane is visibile only whether there is at least one filtering condition applied; default value: `false`

### SHOW_FRAME_TITLE_IN_EXPORT

    public static boolean SHOW_FRAME_TITLE_IN_EXPORT

  flag used to show the title of the frame that contains the grid component currently exported; title is showed on top of the exported grid, in order to show filtering conditions; default value: `false`

### EXPORTING_FORMATS

    public static java.lang.String[] EXPORTING_FORMATS

  default document formats when exporting the grid content

### VIEW_MANDATORY_SYMBOL

    public static boolean VIEW_MANDATORY_SYMBOL

  define if must be show the mandatory symbol "*" in mandatory input controls

### VIEW_BACKGROUND_SEL_COLOR

    public static boolean VIEW_BACKGROUND_SEL_COLOR

  define if must be set a background color on focusing an input control

### BACKGROUND_SEL_COLOR

    public static java.awt.Color BACKGROUND_SEL_COLOR

  color to set as background in the focused input control (only if VIEW_BACKGROUND_SEL_COLOR is set to `true`)

### LOOK_AND_FEEL_CLASS_NAME

    public static java.lang.String LOOK_AND_FEEL_CLASS_NAME

  look 'n feel to use for the MDI frame; default value: UIManager.getSystemLookAndFeelClassName()

### FILTER_PANEL_ON_GRID

    public static boolean FILTER_PANEL_ON_GRID

  `true` to automatically show a filter panel when moving mouse at right of the grid; `false` to do not show it

### FILTER_PANEL_ON_GRID_POLICY

    public static int FILTER_PANEL_ON_GRID_POLICY

  used as default value in "filterPanelOnGridPolicy" property of GridControl: it used only when "showFilterPanelOnGrid" property is set to `true`; define filter panel policy for hiding it; allowed values: Consts.FILTER_PANEL_ON_GRID_xxx; default value: Consts.FILTER_PANEL_ON_GRID_USE_PADLOCK_UNPRESSED

### DEFAULT_QUICK_FILTER_CRITERIA

    public static int DEFAULT_QUICK_FILTER_CRITERIA

  default value that could be set in the quick filter criteria; values allowed: Consts.EQUALS,Consts.CONTAINS,Consts.STARTS_WITH,Consts.ENDS_WITH

### INCLUDE_IN_OPERATOR

    public static boolean INCLUDE_IN_OPERATOR

  define if IN operator must be included in quick filter and filter panel; default value: `true`

### ALLOW_OR_OPERATOR

    public static boolean ALLOW_OR_OPERATOR

  define if OR logical connector is allowable for operators different from IS NULL, IN NOT NULL and IN, within the filter panel; default value: `true`

### LIKE

    public static java.lang.String LIKE

  SQL operator to use for "like"; for instance in PosgreSQL database this can be replaced with case insensitive "ilke"; default value: "like"

### SHOW_PAGINATION_BUTTONS_ON_GRID

    public static boolean SHOW_PAGINATION_BUTTONS_ON_GRID

  `true` to show pagination buttons in vertical scrollbar of grid; `false` to do not show them; default value: `true`

### SHOW_PAGINATION_BUTTONS_ON_NAVBAR

    public static boolean SHOW_PAGINATION_BUTTONS_ON_NAVBAR

  `true` to show pagination buttons in navigator bar; `false` to do not show them; default value: `true`

### SHOW_SORTING_ORDER

    public static boolean SHOW_SORTING_ORDER

  `true` to show sorting order (number) in the column header of the grid; `false` to do not show it; default value: `false`

### HEADER_FONT

    public static java.awt.Font HEADER_FONT

  default font to use in column headers of grid; default value: null (i.e. use default JLabel font)

### INTERCELL_SPACING

    public static java.awt.Dimension INTERCELL_SPACING

  default intercell spacing between cells in grid; default value: 1,1

### ROW_MARGIN

    public static int ROW_MARGIN

  default margin between two rows in grid; default value: 1

### GRID_PROFILE_MANAGER

    public static org.openswing.swing.table.profiles.java.GridProfileManager GRID_PROFILE_MANAGER

  grid profile manager: it manages grid profile storing and fetching

### GRID_PERMISSION_MANAGER

    public static GridPermissionsManager GRID_PERMISSION_MANAGER

  grid permission manager: it manages grid permission storing and fetching

### SHOW_FOCUS_BORDER_ON_FORM

    public static boolean SHOW_FOCUS_BORDER_ON_FORM

  `true` to show a border around a Form panel when it has focus; `false` to do not show it; default value: `true`

### RELOAD_LAST_VO_ON_FORM

    public static boolean RELOAD_LAST_VO_ON_FORM

  `true` to reload last object show already loaded in the past, when pressing reload button in INSERT mode; `false` to clear all input controls when pressing reload button in INSERT mode; default value: `false`

### ON_INVALID_CODE

    public static int ON_INVALID_CODE

  define what a lookup has to do when an invalid code has been setted; possible values: LookupController.ON_INVALID_CODE_xxx; default value: LookupController.ON_INVALID_CODE_CLEAR_CODE

### SHOW_CUSTOM_ERROR_MESSAGE_IN_LOOKUP

    public static boolean SHOW_CUSTOM_ERROR_MESSAGE_IN_LOOKUP

  define if, in case of a validation task which returns an ErrorResponse within a lookup, the error message must be showed instead of the standard behavior: do nothing and log error; default value: `false`, i.e. do not show a custom error message

### VISIBLE_STATUS_PANEL

    public static boolean VISIBLE_STATUS_PANEL

  define if showing the status panel on bottom of the lookup grid; default value: `false`

### SHOW_NAVIGATOR_BAR_IN_LOOKUP

    public static boolean SHOW_NAVIGATOR_BAR_IN_LOOKUP

  define if the navigator bar must be showed on top of the lookup grid frame; default value: `false` i.e. the navigator is not showed in the grid lookup frame

### TREE_SELECTION_BACKGROUND

    public static java.awt.Color TREE_SELECTION_BACKGROUND

  background color of tree selected row

### TREE_SELECTION_FOREGROUND

    public static java.awt.Color TREE_SELECTION_FOREGROUND

  foreground color of tree selected row

### CALENDAR_OPEN_KEY

    public static javax.swing.KeyStroke CALENDAR_OPEN_KEY

  shortcut key used to open the calendar popup in date control and date column; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F2,0)

### CALENDAR_CURRENT_DATE_KEY

    public static javax.swing.KeyStroke CALENDAR_CURRENT_DATE_KEY

  shortcut key used to set current date in date control and date column; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F1,0)

### LOOKUP_OPEN_KEY

    public static javax.swing.KeyStroke LOOKUP_OPEN_KEY

  shortcut key used to open lookup grid in lookup control and lookup column; default value: KeyEvent.VK_F1

### LOOKUP_CONTROLLER_KEY

    public static javax.swing.KeyStroke LOOKUP_CONTROLLER_KEY

  shortcut key used to open lookup controller frame in lookup control and lookup column; default value: KeyEvent.VK_F2

### INSERT_BUTTON_KEY

    public static javax.swing.KeyStroke INSERT_BUTTON_KEY

  shortcut key used for insert button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_I,KeyEvent.CTRL_MASK)

### EDIT_BUTTON_KEY

    public static javax.swing.KeyStroke EDIT_BUTTON_KEY

  shortcut key used for edit button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_E,KeyEvent.CTRL_MASK)

### COPY_BUTTON_KEY

    public static javax.swing.KeyStroke COPY_BUTTON_KEY

  shortcut key used for copy button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_C,KeyEvent.CTRL_MASK)

### SAVE_BUTTON_KEY

    public static javax.swing.KeyStroke SAVE_BUTTON_KEY

  shortcut key used for save button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_S,KeyEvent.CTRL_MASK)

### RELOAD_BUTTON_KEY

    public static javax.swing.KeyStroke RELOAD_BUTTON_KEY

  shortcut key used for reload button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_Z,KeyEvent.CTRL_MASK)

### DELETE_BUTTON_KEY

    public static javax.swing.KeyStroke DELETE_BUTTON_KEY

  shortcut key used for delete button, within a form or a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_D,KeyEvent.CTRL_MASK)

### EXPORT_BUTTON_KEY

    public static javax.swing.KeyStroke EXPORT_BUTTON_KEY

  shortcut key used for export button within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_X,KeyEvent.CTRL_MASK)

### IMPORT_BUTTON_KEY

    public static javax.swing.KeyStroke IMPORT_BUTTON_KEY

  shortcut key used for import button within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_M,KeyEvent.CTRL_MASK)

### FILTER_BUTTON_KEY

    public static javax.swing.KeyStroke FILTER_BUTTON_KEY

  shortcut key used for filter button, within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F,KeyEvent.CTRL_MASK)

### GRID_POPUP_KEY

    public static javax.swing.KeyStroke GRID_POPUP_KEY

  shortcut key used to show popup menu within a grid control; default value: KeyStroke.getKeyStroke(KeyEvent.VK_Q,KeyEvent.CTRL_MASK)

### TREE_MENU_KEY

    public static javax.swing.KeyStroke TREE_MENU_KEY

  shortcut key used to set focus in tree menu; default value: KeyStroke.getKeyStroke(KeyEvent.VK_F3,0)

### REMOVE_FILTER_KEY

    public static javax.swing.KeyStroke REMOVE_FILTER_KEY

  shortcut key used to remove a filter in quick filter panel; default value: KeyStroke.getKeyStroke(KeyEvent.VK_R,KeyEvent.CTRL_MASK)

### EXPAND_CELL_KEY

    public static javax.swing.KeyStroke EXPAND_CELL_KEY

  shortcut key used to expand a row in grid; default value: KeyStroke.getKeyStroke(KeyEvent.VK_P,KeyEvent.CTRL_MASK)

### COLLAPSE_CELL_KEY

    public static javax.swing.KeyStroke COLLAPSE_CELL_KEY

  shortcut key used to collable an already expanded row in grid; default value: KeyStroke.getKeyStroke(KeyEvent.VK_L,KeyEvent.CTRL_MASK)

### ADD_ROW_IN_GRID

    public static javax.swing.KeyStroke ADD_ROW_IN_GRID

  shortcut key used to add new row in grid, in insert mode (or edit mode)

### REMOVE_ROW_FROM_GRID

    public static javax.swing.KeyStroke REMOVE_ROW_FROM_GRID

  shortcut key used to remove an already added row in grid, in insert mode (or edit mode)

### ASK_BEFORE_CLOSE

    public static boolean ASK_BEFORE_CLOSE

  define if a warning dialog must be showed when closing an internal frame that contains a Form/GridControl in edit/insert mode

### BUTTON_BEHAVIOR

    public static int BUTTON_BEHAVIOR

  define whether showing image/text on default buttons (insert, edit, ...); allowed values: Consts.BUTTON_IMAGE_ONLY, Consts.BUTTON_TEXT_ONLY, Consts.BUTTON_IMAGE_AND_TEXT; default value: Consts.BUTTON_IMAGE_ONLY

### LOOKUP_FRAME_CONTENT

    public static int LOOKUP_FRAME_CONTENT

  define default content for lookup frame; allowed values are: GRID_FRAME, TREE_FRAME, TREE_GRID_FRAME, GRID_AND_FILTER_FRAME, TREE_GRID_AND_FILTER_FRAME, GRID_AND_PANEL_FRAME, TREE_GRID_AND_PANEL_FRAME; default value: LookupController.GRID_FRAME

### FORCE_FOCUS_ON_LOOKUP_CONTROL

    public static boolean FORCE_FOCUS_ON_LOOKUP_CONTROL

  define if a lookup control must set focus over lookup button when pressing TAB on code field and field is correctly filled; default value: `false`

### LOOKUP_AUTO_COMPLETITION_WAIT_TIME

    public static long LOOKUP_AUTO_COMPLETITION_WAIT_TIME

  wait time (expressed in ms) before showing code auto completition feature for lookup controls; default value: `-1`, i.e. do not enable auto completition

### DISABLED_INPUT_CONTROLS_FOCUSABLE

    public static boolean DISABLED_INPUT_CONTROLS_FOCUSABLE

  `true` to enable focus on disabled input controls: this allows to select disabled content of input control for copy & paste; `false` to do not allow focus setting on disabled input controls; default value: `false`

### SHOW_TOOLTIP_IN_MENUBAR

    public static boolean SHOW_TOOLTIP_IN_MENUBAR

  define if a tooltip text must be showed for menu and menu items in menu bar; default value: `true`

### SHOW_TOOLTIP_IN_TREEMENU

    public static boolean SHOW_TOOLTIP_IN_TREEMENU

  define if a tooltip text must be showed for folders and function nodes in tree menu; default value: `true`

### SHOW_TOOLTIP_IN_MDISTATUSBAR

    public static boolean SHOW_TOOLTIP_IN_MDISTATUSBAR

  define if the tooltip text associated to application functions must be showed in the status bar of MDI frame (on the bottom); default value: `true`

### EJB_EXPORT_BEAN_NAME

    public static java.lang.String EJB_EXPORT_BEAN_NAME

  ejb remote session bean to invoke for processing all export tasks; default name: "EJBExportBean/remote"

### MDI_TOOLBAR

    public static ToolBar MDI_TOOLBAR

  add a toolbar to MDIFrame; default value: null, i.e. do not add any toolbar; possible value: org.openswing.swing.mdi.client.DefaultToolBar

### AUTO_FIT_COLUMNS

    public static boolean AUTO_FIT_COLUMNS

  flag used to auto fit column sizes, according to text headers; default value: `false`

### SHOW_SCROLLBARS_IN_MDI

    public static boolean SHOW_SCROLLBARS_IN_MDI

  show scrollbars within MDI desktop pane; default value: `false`

### HIDE_ZERO_DIGITS

    public static boolean HIDE_ZERO_DIGITS

  define the behavior of numeric components in case of zero decimal digits: show or hide zeros; default value: `false`, i.e. shows zero digits

### CURRENCY_SYMBOL_ON_LEFT

    public static boolean CURRENCY_SYMBOL_ON_LEFT

  flag used to define the default position of currency symbol in currency control/column: on the left or on the right of the numeric value; default value: `true` i.e. on the left of the numeric value

### SEARCH_ADDITIONAL_ROWS

    public static boolean SEARCH_ADDITIONAL_ROWS

  flag used in grid to enable the retrieval of additional rows in fast search, when search criteria fails; default value: `false` i.e. do not retrieve additional rows

### HEADER_FOREGROUND_COLOR

    public static java.awt.Color HEADER_FOREGROUND_COLOR

  foreground color for header columns of all grids; default value: null, i.e. default JLabel foreground color

### SELECT_DATA_IN_EDITABLE_GRID

    public static boolean SELECT_DATA_IN_EDITABLE_GRID

  flag used in grid to automatically select data in cell when editing cell; default value: `false` i.e. do not select data stored cell; `true` to automatically select data already stored in cell

### SELECT_DATA_IN_EDITABLE_FORM

    public static boolean SELECT_DATA_IN_EDITABLE_FORM

  flag used in grid to automatically select data in input controls when the controls gains focus; default value: `false` i.e. do not select data stored in input control; `true` to automatically select data already stored in input controls

### SHOW_PREVIEW_OF_IMAGE

    public static boolean SHOW_PREVIEW_OF_IMAGE

  flag used to show the preview of the image in ImageControl and Image Column components; default value: `true`

### MAX_NR_OF_LOOPS_IN_ANALYZE_VO

    public static int MAX_NR_OF_LOOPS_IN_ANALYZE_VO

  flag used to define the maximum number of nested loops to execute on the same value objects, when analyzing v.o. structure; default value: `10`

### TEXT_ORIENTATION

    public static java.awt.ComponentOrientation TEXT_ORIENTATION

  component orientation of all text based input controls and grid columns; default value: `null`, i.e. use the default component orientation defined by Swing toolkit

### AS_TAB

    public static javax.swing.KeyStroke AS_TAB

  shortcut key used to fire a TAB key event, in order to move focus to next component; default value: null; it can be used, for instance, to define that the ENTER key move focus to next component

### USE_AS_TAB_IN_TEXTAREA

    public static boolean USE_AS_TAB_IN_TEXTAREA

  define if shortcut key used to fire a TAB key event must be used for TextAreaControl too; default value: `true`

Constructor Detail

### ClientSettings

    public ClientSettings(ResourcesFactory resourceFactory,
                          java.util.Hashtable domains)

  Contains application settings. Buttons permission manager not defined: buttons are always enabled (as default).

Parameters:
  `resourceFactory` - factory class used to retrieve internationalization settings
  `domains` - collection of domains, i.e. associations (domainId, Domain object)

### ClientSettings

    public ClientSettings(ResourcesFactory resourceFactory,
                          java.util.Hashtable domains,
                          ButtonsAuthorizations buttonsAuthorizations)

  Contains application settings. Font size is small.

Parameters:
  `resourceFactory` - factory class used to retrieve internationalization settings
  `domains` - collection of domains, i.e. associations (domainId, Domain object)
  `buttonsAuthorizations` - buttons authorizations

### ClientSettings

    public ClientSettings(ResourcesFactory resourceFactory,
                          java.util.Hashtable domains,
                          ButtonsAuthorizations buttonsAuthorizations,
                          boolean useSystemFontSettings)

  Contains application settings.

Parameters:
  `resourceFactory` - factory class used to retrieve internationalization settings
  `domains` - collection of domains, i.e. associations (domainId, Domain object)
  `buttonsAuthorizations` - buttons authorizations
  `useSystemFontSettings` - `true` font in java 1.4. is small; `false` font size is higher

Method Detail

### getInstance

    public static final ClientSettings getInstance()

  Returns:
    the single instance of that class

### getResources

    public final Resources getResources()

  Returns:
    dictionary used to internalization settings

### setLanguage

    public final void setLanguage(java.lang.String languageId)

  Load internalization settings according with the specified languageId.

### getDomain

    public final Domain getDomain(java.lang.String domainId)

  Parameters:
    `domainId` - domain identifier
  Returns:
    Domain object, identified by domainId

### getButtonsAuthorizations

    public final ButtonsAuthorizations getButtonsAuthorizations()

  Returns:
    buttons authorizations

### getUserGridProfiles

    public final java.util.HashMap getUserGridProfiles()

  Returns:
    collection of pairs

### getUserGridProfiles

    public final java.util.HashMap getUserGridProfiles(java.lang.String functionId)

  Returns:
    collection of pairs

### getLastUserGridDigests

    public final java.util.HashMap getLastUserGridDigests()

  Returns:
    collection of pairs

### getLastUserGridProfileIds

    public final java.util.HashMap getLastUserGridProfileIds()

  Returns:
    collection of pairs

### getGridProfileDescriptions

    public final java.util.HashMap getGridProfileDescriptions()

  Returns:
    collection of pairs

### getGridProfileDescriptions

    public final java.util.ArrayList getGridProfileDescriptions(java.lang.String functionId)

  Returns:
    collection of pairs

### getGridPermissions

    public final java.util.HashMap getGridPermissions()

  Returns:
    collection of pairs

### getLastGridPermissionsDigests

    public final java.util.HashMap getLastGridPermissionsDigests()

  Returns:
    collection of pairs

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD